Bug 582708 - The i915 drm module has an indirect dependency on ACPI
The i915 drm module has an indirect dependency on ACPI
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2010-04-15 11:45 EDT by Glen Gray
Modified: 2013-06-10 08:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 08:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Gray 2010-04-15 11:45:37 EDT
Description of problem:
While testing the F13 intel graphics test iso on my industrial PC I was unable to get KMS or X working. After some investigations, It became clear that due to a buggy BIOS, ACPI wasn't enabled. With ACPI disabled, modprobeing the i915 module would produce ENODEV error messages, there seemed to be a dependency chain from i915->drm->acpi video.

Booting with acpi=force enabled ACPI and the i915 drm module loaded


Version-Release number of selected component (if applicable):

F13 intel graphics test day ISO.

How reproducible:
Always

Steps to Reproduce:
1.Boot 
2.
3.
  
Actual results:
Normal text mode and no X. 

Expected results:
KMS should have been enabled from boot.

Additional info:
Comment 1 Adam Williamson 2010-04-16 14:21:04 EDT
A new version of the Intel driver, xorg-x11-drv-intel-2.11.0-1.fc13, has just been added: https://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.11.0-1.fc13 . Can you please test with this version and see if the bug is reproducible? If you have an installed Fedora 13, you can download and install the driver from the Koji link. If you are testing with live images, the nightly live images from 2010-04-17 (or possibly 2010-04-18) onwards should include this version: http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/ . This comment is being added to all open Fedora 13 intel bugs, please ignore if it does not make sense in the context of your bug.
Comment 2 Adam Jackson 2010-04-26 15:05:42 EDT
Actually a kernel bug, should treat "missing year" as non-fatal and still try to bring up ACPI.
Comment 3 Adam Williamson 2010-04-27 20:19:39 EDT
the way the reporter's phrased it, he considers the 'bug' to be that i915 won't load if ACPI isn't enabled. If you state that that's unavoidable (ACPI needs to be enabled for i915 / KMS to work), then I'm comfortable with adjusting this report to be about the reason ACPI wasn't enabled for the reporter...



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Glen Gray 2011-01-20 06:43:31 EST
This is still a problem on F14.

Was banging my head off a unit that wouldn't load and had forgotten about this bug.

To be clear, if ACPI fails to load, the chain of dependency seems to be as follows

ACPI -> ACPI Video -> drm -> i915

If this is a requirement then it probably just needs to be documented clearly as a point of failure. Adding "acpi=force" resolves the issue.
Comment 5 Fedora End Of Life 2013-04-03 14:26:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Glen Gray 2013-06-10 08:02:59 EDT
Marking this as closed/wontfix.

As Adam says in comment #3, the i915 essentially explicitly requires ACPI. As a result working around it with acpi=force for these older devices isn't a problem.

Note You need to log in before you can comment on or make changes to this bug.